<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../../../../style.css');
        @import url('../../../../../../roundedcorners.css');
        @import url('../../../../../../tree.css');
            </style>
    
    <script src="../../../../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../../../../clover.js" type="text/javascript"></script>
    <script src="../../../../../../cloud.js" type="text/javascript"></script>
    <script src="../../../../../../help.js" type="text/javascript"></script>
  <title>HttpClient 4.2.3</title>
</head>
<body onload="setBrowserTitle('HttpClient 4.2.3: org.apache.http.impl.conn.tsccm.wakesUpWaitingThreadsWhenEntryAvailable');">

<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="6" >
        <div class="roundedLarge">
            <b class="ctop"><b class="cb1"></b><b class="cb2 testHeader"></b><b class="cb3 testHeader"></b><b class="cb4 testHeader"></b></b>
            <div class="roundedContent">
                <table width="100%" cellspacing="0"><tr class="reportHeader ">
                    <td valign="top" class="titleText testHeader">Clover Test Report - <a
                            href="http://hc.apache.org/httpcomponents-client" target="_top">HttpClient 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Tue Jan 15 2013 10:25:52 CET
                    </div>
                                                <div class="navBar">
                            <span><a href="../../../../../../test-pkg-summary.html">Overview</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-pkg-summary.html">Package</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-TestConnPoolByRoute.html">File</a></span>&nbsp;&nbsp;&nbsp;
                            <span class="navBarCurrent">Test</span>
                        </div>
                                                
                        <div class="navBarLink">
                            &nbsp;&nbsp;&nbsp;
                            <a href="../../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
                            <a href="TestConnPoolByRoute_wakesUpWaitingThreadsWhenEntryAvailable_yo.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
                            <a><label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label></a>&nbsp;&nbsp;                            
                        </div>
                    </td>
                </tr></table>
            </div>
            <b class="cbottom"><b class="cb4 testHeader"></b><b class="cb3 testHeader"></b><b class="cb2 testHeader"></b><b class="cb1"></b></b>
        </div>

    </td>
  </tr>




<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>

<tr>
    <td class="graphHeaderLeft titleText testHeader">Test</td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_total_unique_coverage;">Unique Coverage</label></td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_status;">Status</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Start time</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Time (seconds)</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_message;">Message</label></td>
</tr>
<tr>
    <td class="graphItem alignTop titleText">
        <a  href="../../../../../../org/apache/http/impl/conn/tsccm/TestConnPoolByRoute.html?line=354#src-354" >wakesUpWaitingThreadsWhenEntryAvailable</a>
    </td>
        <td class="graphPercent alignTop">
        0%
    </td>
        <td class="graphPercent alignTop">
                          <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
              </td>
    <td class="graphPercent alignTop">
        15 Jan 10:23:50
    </td>
    <td class="graphPercent alignTop">
        0.203    </td>
    <td class="graphItemRight alignTop">
        <div class="titleText"></div>
        <div class="errorMessage"></div>
    </td>
</tr>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
</tbody>

<tbody>
    <tr>
        <td class="graphHeaderLeft titleText  sortable testHeader" style="white-space:nowrap;" onclick="ts_resortTable(this, 'alpha', 0);return false;"><label onkeyup="return help_test_target_class;">Target Class</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" onclick="ts_resortTable(this, 'number', 1);return false;"><label onkeyup="return help_unique_coverage ;">Unique</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" colspan="4" onclick="ts_resortTable(this, 'number', 2);return false;"><label onkeyup="return help_test_contribution;">Coverage contributed by</label> <span class="titleText">wakesUpWaitingThreadsWhenEntryAvailable</span>.</td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.conn.tsccm.WaitingThread</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/conn/tsccm/WaitingThread.html?id=1248#WaitingThread"             title="WaitingThread" name="sl-49">org.apache.http.impl.conn.tsccm.WaitingThread</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.54347825</span>
            54.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="45.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="54.3% Covered" class="barPositive contribBarPositive" style="width: 54.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.conn.tsccm.RouteSpecificPool</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/conn/tsccm/RouteSpecificPool.html?id=1248#RouteSpecificPool"             title="RouteSpecificPool" name="sl-52">org.apache.http.impl.conn.tsccm.RouteSpecificPool</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5</span>
            50%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="50% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="50% Covered" class="barPositive contribBarPositive" style="width: 50%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.conn.tsccm.ConnPoolByRoute</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/conn/tsccm/ConnPoolByRoute.html?id=1248#ConnPoolByRoute"             title="ConnPoolByRoute" name="sl-69">org.apache.http.impl.conn.tsccm.ConnPoolByRoute</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.39901477</span>
            39.9%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="60.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="39.9% Covered" class="barPositive contribBarPositive" style="width: 39.9%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.conn.tsccm.BasicPoolEntry</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/conn/tsccm/BasicPoolEntry.html?id=1248#BasicPoolEntry"             title="BasicPoolEntry" name="sl-45">org.apache.http.impl.conn.tsccm.BasicPoolEntry</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.39215687</span>
            39.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="60.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="39.2% Covered" class="barPositive contribBarPositive" style="width: 39.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.conn.params.ConnPerRouteBean</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/conn/params/ConnPerRouteBean.html?id=1248#ConnPerRouteBean"             title="ConnPerRouteBean" name="sl-49">org.apache.http.conn.params.ConnPerRouteBean</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.36956522</span>
            37%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="63% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="37% Covered" class="barPositive contribBarPositive" style="width: 37%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.conn.tsccm.WaitingThreadAborter</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/conn/tsccm/WaitingThreadAborter.html?id=1248#WaitingThreadAborter"             title="WaitingThreadAborter" name="sl-39">org.apache.http.impl.conn.tsccm.WaitingThreadAborter</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.33333334</span>
            33.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="66.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="33.3% Covered" class="barPositive contribBarPositive" style="width: 33.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.conn.tsccm.AbstractConnPool</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/conn/tsccm/AbstractConnPool.html?id=1248#AbstractConnPool"             title="AbstractConnPool" name="sl-60">org.apache.http.impl.conn.tsccm.AbstractConnPool</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.125</span>
            12.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="87.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="12.5% Covered" class="barPositive contribBarPositive" style="width: 12.5%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.conn.AbstractPoolEntry</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/conn/AbstractPoolEntry.html?id=1248#AbstractPoolEntry"             title="AbstractPoolEntry" name="sl-59">org.apache.http.impl.conn.AbstractPoolEntry</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.10526316</span>
            10.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="89.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="10.5% Covered" class="barPositive contribBarPositive" style="width: 10.5%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.conn.routing.HttpRoute</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/conn/routing/HttpRoute.html?id=1248#HttpRoute"             title="HttpRoute" name="sl-45">org.apache.http.conn.routing.HttpRoute</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.09210526</span>
            9.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="90.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="9.2% Covered" class="barPositive contribBarPositive" style="width: 9.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.conn.IdleConnectionHandler</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/conn/IdleConnectionHandler.html?id=1248#IdleConnectionHandler"             title="IdleConnectionHandler" name="sl-51">org.apache.http.impl.conn.IdleConnectionHandler</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.050847456</span>
            5.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="94.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="5.1% Covered" class="barPositive contribBarPositive" style="width: 5.1%"></div>
    </div>
</div>        </td>
    </tr>
 </tbody>
<tbody>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
<tr><td class="footer" colspan="6">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Tue Jan 15 2013 10:26:28 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody>
</table>
</body>
</html>
